Bug 464645 - [RFE] Allow virtual jobs to assign virtual cpus.
[RFE] Allow virtual jobs to assign virtual cpus.
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
beta
All Linux
medium Severity medium
: 1.1.1
: ---
Assigned To: Benjamin Kreuter
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 15:43 EDT by Charlie Wyse
Modified: 2010-10-23 00:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie Wyse 2008-09-29 15:43:40 EDT
Description of problem:  Currently you can not set the amount of virtual cpus in a virtual job.


Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Create a virtual job.
2. Run Job.
3. Notice virtual machine has 1 vcpu.
  
Actual results:
1 vcpu.


Expected results:
any number of vcpus you select.

Additional info:
In the gahp config there is a line "+vcpus=1"  This line just appends that after the xml which causes the job to fail.  That should probably be removed.  If you put the xml after the + it might work. But then all jobs have to have the same vcpus.  This is something you should be able to specify with the job.
Comment 1 Benjamin Kreuter 2008-10-20 20:50:06 EDT
This change has been merged upstream.  It is now possible to set the VCPUS for a VM job in the job description file, with the vm_vcpus parameter.
Comment 3 Martin Kudlej 2009-03-17 05:40:26 EDT
Tested on RHEL 5.3 i386 and x86_64 on condor 7.2.2-0.8.el5 ... OK

-->VERIFIED
Comment 5 errata-xmlrpc 2009-04-21 12:18:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.